<div id="app">
  <block color="#ef5350">
    <text-field placeholder="Label" [value]="label" (handleInput)="setLabel($event)" [size]="18" [editable]="true"></text-field>
  </block>
  <block [height]="285" color="#ffca28">
    <div class="listview">
      <row *ngFor="let item of items; index as idx; trackBy: trackByFunc">
        <radio iconCell [color]="item.length > 0 ? '#212121' : '#fafafa'"></radio>
        <text-field leftCell placeholder="Item" [value]="item" (handleInput)="addItem(idx)($event)" [editable]="true"></text-field>
      </row>
      <row>
        <text-field rightCell type="number" placeholder="Price" [value]="price" (handleInput)="setPrice($event)" [editable]="true"> </text-field>
      </row>
    </div>
  </block>
  <block color="#ffa726">
    <hyper-link *ngIf="isValid()" (handleClick)="addNewPizza()" [size]="18">Save</hyper-link>
    <hyper-link (handleClick)="navigateToHome()" [size]="18">Back</hyper-link>
  </block>
</div>
